"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports["default"] = void 0;
var _regenerator = _interopRequireDefault(require("@babel/runtime/regenerator"));
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));
var _react = _interopRequireWildcard(require("react"));
var _lowcodeReactRenderer = _interopRequireDefault(require("@alilc/lowcode-react-renderer"));
var _appHelper = _interopRequireDefault(require("./appHelper"));
var _mockService = require("./services/mockService");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
var SamplePreview = function SamplePreview() {
  var _useState = (0, _react.useState)({}),
    data = _useState[0],
    setData = _useState[1];
  function init() {
    return _init.apply(this, arguments);
  }
  function _init() {
    _init = (0, _asyncToGenerator2["default"])( /*#__PURE__*/_regenerator["default"].mark(function _callee() {
      return _regenerator["default"].wrap(function _callee$(_context) {
        while (1) switch (_context.prev = _context.next) {
          case 0:
            (0, _mockService.byCodeQuerySchema)('FORM6882ADBEA4014B6F9D6DF397489488F2').then(function (res) {
              if (res.success) {
                var _res$data;
                var dataSource = JSON.parse(((_res$data = res.data) === null || _res$data === void 0 ? void 0 : _res$data.content) || '{}');
                (0, _mockService.getSchemaPreview)({
                  dataSource: dataSource
                }).then(function (result) {
                  setData((0, _extends2["default"])({}, result));
                });
              }
            });
          case 1:
          case "end":
            return _context.stop();
        }
      }, _callee);
    }));
    return _init.apply(this, arguments);
  }
  var _ref = data,
    schema = _ref.schema,
    components = _ref.components,
    _ref$i18n = _ref.i18n,
    i18n = _ref$i18n === void 0 ? {} : _ref$i18n;
  if (!schema || !components) {
    init();
    return /*#__PURE__*/_react["default"].createElement("div", null, " ");
  }
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: "lowcode-plugin-sample-preview"
  }, /*#__PURE__*/_react["default"].createElement(_lowcodeReactRenderer["default"], {
    className: "lowcode-plugin-sample-preview-content",
    schema: schema,
    components: components,
    messages: i18n,
    appHelper: _appHelper["default"]
  }));
};
var _default = exports["default"] = SamplePreview;